Bug 1428950 - Provide a Python 3 subpackage
Summary: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-tw2-jquery
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-03 16:46 UTC by Artem
Modified: 2017-03-06 05:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-06 05:28:46 UTC
Type: Bug


Attachments (Terms of Use)
proposed spec diff (4.79 KB, patch)
2017-03-03 16:46 UTC, Artem
no flags Details | Diff

Description Artem 2017-03-03 16:46:38 UTC
Created attachment 1259600 [details]
proposed spec diff

Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Artem 2017-03-03 16:48:25 UTC
Please note, that BeautifulSoup is deprecated and not going to be supported. Therefore for the Python3 module dependency was switched to python3-beautifulsoup4

Comment 2 Artem 2017-03-03 17:02:21 UTC
Ralph, please review the spec changes and let me know, if changes are required

Comment 3 Ralph Bean 2017-03-03 19:16:33 UTC
Are you sure this library supports python3?  Were you able to test that it functions correctly on python3?

Comment 4 Artem 2017-03-04 09:32:45 UTC
ok, you might be right. I have relied on the provided tests and in the repo enabled travis test with python 3.3. In my forked repo tests are passing with travis also for Python 3.4, 3.5, 3.6. So it's buildable and tests are passing. I was however not able to test it, since tw2.devtools does not support Python3 and I was not able to find any other working way to use tw2 under Python3.

I'm not using TW2 personally, just stumbled on it trying to clean up Python3 portingdb (since it block quite a few other tw2 packages, which blocks moksha). If you think it does not make any sense please close the bug.

Thanks

Comment 5 Ralph Bean 2017-03-06 05:00:17 UTC
Well, if the tests pass that works for me.  :)   If tw2.core supports py3 (even if tw2.devtools does not) then that should open the door.

Comment 6 Ralph Bean 2017-03-06 05:28:33 UTC
OK - should be fixed in rawhide (I hit that setuptools bug on the test suite, but just left it disabled for now :/).


Note You need to log in before you can comment on or make changes to this bug.